Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface DesignLabelModelFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LabelModelFacet, ModelFacet, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DesignLabelModelFacetImpl

    public interface DesignLabelModelFacet

extends LabelModelFacet

A representation of the model object 'Design Label Model Facet'. Model facet of a label with DescriptionStyle

See Also:
  `GMFGenPackage.getDesignLabelModelFacet()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.